<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# r2pipe

```text
usage: r2pipe [-h] arguments [arguments ...]

```

Execute stateful radare2 commands through r2pipe.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|arguments|Arguments to pass to r2pipe|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Examples
```text
pwndbg> r2pipe pdf @ sym.main
            ; ICOD XREF from entry0 @ 0x1d3e8(r)
┌ 6786: int main (uint32_t argc, char **argv, char **envp);
│ `- args(rdi, rsi, rdx) vars(21:sp[0x40..0x18c])
│           0x0001b920      f30f1efa       endbr64
│           0x0001b924      4157           push r15
│           0x0001b926      4156           push r14
│           0x0001b928      4155           push r13
│           0x0001b92a      4154           push r12
[...]
│           0x0001b966      85c0           test eax, eax
│       ┌─< 0x0001b968      7545           jne 0x1b9af
│       │   0x0001b96a      e8311b0100     call sym.xtrace_init
│       │   0x0001b96f      e80cff0000     call sym.check_dev_tty
│       │   ; CODE XREF from main @ 0x1b988(x)
│      ┌──> 0x0001b974      833dd1680f..   cmp dword [obj.debugging_login_shell], 0 ; [0x11224c:4]=0
│     ┌───< 0x0001b97b      743d           je 0x1b9ba
│     │╎│   0x0001b97d      bf03000000     mov edi, 3
[...]
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
